/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SecondaryDns_H_
#define	_SecondaryDns_H_


#include <asn_application.h>

/* Including external dependencies */
#include "IPv6Address.h"

#ifdef __cplusplus
extern "C" {
#endif

/* SecondaryDns */
typedef IPv6Address_t	 SecondaryDns_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SecondaryDns;
asn_struct_free_f SecondaryDns_free;
asn_struct_print_f SecondaryDns_print;
asn_constr_check_f SecondaryDns_constraint;
ber_type_decoder_f SecondaryDns_decode_ber;
der_type_encoder_f SecondaryDns_encode_der;
xer_type_decoder_f SecondaryDns_decode_xer;
xer_type_encoder_f SecondaryDns_encode_xer;
per_type_decoder_f SecondaryDns_decode_uper;
per_type_encoder_f SecondaryDns_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _SecondaryDns_H_ */
#include <asn_internal.h>
